Bug 233483 - CVE-2007-1592 IPv6 oops triggerable by any user
CVE-2007-1592 IPv6 oops triggerable by any user
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Don Howard
Martin Jenner
impact=important,source=netdev,report...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-22 14:30 EDT by Marcel Holtmann
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2007-0672
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-08 14:16:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcel Holtmann 2007-03-22 14:30:43 EDT
We accidently copy the ipv6 flow list to child sockets of listening TCP
sockets, but don't bump the reference count, clone the object, etc.  And
the list linkage of this object is not built such that multiple sockets
can point to it anyways.

Therefore if a listening socket has a flow list attached, when a child
connection closes we'll OOPS or double free the flow list entry.

Any user can trigger this.

Steps to reproduce this behavior:

1) Open listening IPV6 TCP socket
2) Attach a flowlabel with IPV6_FLOWLABEL_MGR socket option,
   freq->flr_action == IPV6_FL_A_GET and appropriate metadata.
3) Connect to that listening socket, and close()

http://marc.info/?l=linux-netdev&m=117406721731891&w=2
Comment 4 Red Hat Bugzilla 2007-08-08 14:16:50 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0672.html

Note You need to log in before you can comment on or make changes to this bug.